﻿<dx:ThemedWindow x:Class="RMPT.UI.DialogWindows.Dictionaries.CategoryChannels.Audiences.AudiencesDW"
                 xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                 xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                 xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
                 xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
                 xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
                 xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
                 xmlns:audiences="clr-namespace:RMPT.UI.DialogWindows.Dictionaries.CategoryChannels.Audiences"
                 Title="Справочник аудиторий"
                 Height="500"
                 Width="600"
                 ResizeMode="NoResize"
                 ShowInTaskbar="False"
                 WindowStartupLocation="CenterOwner"
                 WindowStyle="ToolWindow"
                 TitleAlignment="Center">

    <!--Модель диалогового окна-->
    <dx:ThemedWindow.DataContext>
        <audiences:AudiencesDWM />
    </dx:ThemedWindow.DataContext>

    <!--Сервисы-->
    <dxmvvm:Interaction.Behaviors>
        <!--Событие загрузки диалогового окна-->
        <dxmvvm:EventToCommand EventName="Loaded"
                               Command="{Binding OnLoadedAsyncCMD}" />
        <!--Событие закрытия диалогового окна-->
        <dxmvvm:EventToCommand EventName="Closing"
                               Command="{Binding OnClosingAsyncCMD}"
                               PassEventArgsToCommand="True" />
    </dxmvvm:Interaction.Behaviors>

    <!--Представление с вкладками-->
    <dxdo:DockLayoutManager>
        <!--Вкладки, отображаемые по умолчанию-->
        <dxdo:LayoutGroup>
            <!--Вкладка с таблицей аудиторий-->
            <dxdo:LayoutPanel AllowDrag="False"
                              AllowContextMenu="False"
                              ShowPinButton="False"
                              ShowBorder="False"
                              ShowCaption="False">
                <!--Таблица аудиторий-->
                <dxg:GridControl ItemsSource="{Binding Audiences}" SelectedItem="{Binding Audience}">
                    <!--Настройка таблицы-->
                    <dxg:GridControl.View>
                        <dxg:TableView AutoWidth="True"
                                       ShowDataNavigator="True"
                                       AllowPerPixelScrolling="True" />
                    </dxg:GridControl.View>
                    <!--Столбец идентификатора-->
                    <dxg:GridColumn Header="ID"
                                    FieldName="Id"
                                    Visible="False"
                                    Width="25"
                                    HorizontalHeaderContentAlignment="Center"
                                    ReadOnly="True"
                                    AllowEditing="False" />
                    <!--Столбец наименований-->
                    <dxg:GridColumn Header="Наименование"
                                    FieldName="Name"
                                    HorizontalHeaderContentAlignment="Center">
                        <!--Сервисы-->
                        <dxmvvm:Interaction.Behaviors>
                            <!--Событие проверки поля-->
                            <dxmvvm:EventToCommand EventName="Validate"
                                                   Command="{Binding OnNameValidateCommand}"
                                                   PassEventArgsToCommand="True" />
                        </dxmvvm:Interaction.Behaviors>
                    </dxg:GridColumn>
                </dxg:GridControl>
            </dxdo:LayoutPanel>
        </dxdo:LayoutGroup>
    </dxdo:DockLayoutManager>
</dx:ThemedWindow>